# @(#) BYE.CMD
#                    
# Author:         Adrian Gothard
# Company:        White Horse Design 
# Email:          whd@zetnet.co.uk
#
# Last edit:      Mon, May 05 at 13:32:27 BST 1997
# Edit number:    Not implemented
# User name:      agothard
#
# Note:		  This script assumes that modem command echo is on
#		  (ATE1), it's useful to set the inactivity timer to
#	  	  an appropriate value to cause an ultimate disconnection.
#
# Improvements:	  Monitor DCD to detect carrier loss instead of looking
#		  for an "OK" response.
#
#		  Lookup the user defined modem hangup string (ATH assumed).
#
#		  Lookup the user defined "usedtr" variable and drop DTR if
#		  set.
#
# History:
#
# 05-May-1997     [mo01]   alg   Added post "+++" delay.
# 05-May-1997     [mo02]   alg   Moved messages.
# 18-May-1997     [mo03]   alg   Added DTR off (set S13=1 in modem string)
# 18-May-1997     [mo04]   alg   Added "debug" definition.

%debug = 0

display "Establishing modem command mode"\13

if !%debug
  echo off
end

# "+++" needs to be "surrounded" by 1 second of data inactivty.

sleep 1
%ok = 0
repeat
  output "+++"
  sleep 1
  outputecho "AT"\13
  %ok = [INPUT 2 OK]
until %ok

display \10"Modem is being disconnected..."\13

%ok = 0
repeat
  outputecho "ath0"\13
  %ok = [INPUT 2 OK]
until %ok

display "Modem disconnected"\13

# Could drop DTR here too, alg, 05-May-1997.
#set DTR off
